MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0020627Open CASCADE[OCCT] OCCT:Meshpublic2008-11-11 08:302013-12-12 11:13
Reporterpdn 
Assigned Toepa 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.3.1 
Summary0020627: Memory leaks in BRepMesh
DescriptionPlease test the following sample:
for(int i=0;i<10000;i++)
     {
          BRepBuilderAPI_MakePolygon
w(gp_Pnt(0,0,0),gp_Pnt(0,100,0),gp_Pnt(20,100,0),gp_Pnt(20,0,0));
          w.Close();
          TopoDS_Wire wireShape( w.Wire());
          BRepBuilderAPI_MakeFace faceBuilder(wireShape);
          TopoDS_Face f( faceBuilder.Face());
          BRepMesh_IncrementalMesh im(f,1);
          BRepTools::Clean(f);
          
}
Additional information
and documentation updates
Documentation remark, added by EPA 2009-06-16 12:33:38:

Changes:
Memory leack in triangulator for classifier is fixed.
TagsNo tags attached.
Test case number
Attached Filesgz file icon epaOCC20647.tar.gz (57,355 bytes) 2008-11-14 12:32
gz file icon OCC20846-OCC20627.tar.gz (51,147 bytes) 2009-02-13 17:23
gz file icon OCC20627-draw-command.tar.gz (62,696 bytes) 2009-06-04 17:08

- Relationships
related to 0021142feedbackabv Memory leaks using standard OCCT samples 

-  Notes
(0014094)
epa (developer)
2008-11-14 14:34

Fix on memory leaks. Please include the test command in QA process (to estimate
the memory of process before and after).

- Issue History
Date Modified Username Field Change
2008-11-11 08:30 pdn CC => epa, msv, abv
2008-11-12 15:38 bugmaster Assigned To bugmaster => epa
2008-11-12 15:38 bugmaster Status new => assigned
2008-11-14 14:34 epa Status assigned => resolved
2009-02-13 19:01 mkv Status resolved => tested
2009-02-13 19:25 bugmaster Status tested => verified
2009-06-24 19:39 bugmaster Status verified => closed
2009-06-24 19:39 bugmaster Resolution @0@ => fixed
2011-08-02 11:30 bugmaster Category OCCT:SHG => OCCT:Shape Healing
2012-01-11 16:11 atp Description Updated View Revisions
2012-01-11 16:11 atp Additional Information Updated View Revisions
2012-11-09 10:19 abv Category OCCT:Shape Healing => OCCT:Mesh
2013-12-12 11:13 san Relationship added related to 0021142


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker